osl::rating::CaptureGroup Class Reference

`#include <captureGroup.h>`

Inheritance diagram for osl::rating::CaptureGroup:

## Public Member Functions

| CaptureGroup ()
void | show (std::ostream &os, int name_width, const range_t &range, const std::vector< double > &weights) const
int | findMatch (const NumEffectState &state, Move move, const RatingEnv &env) const
bool | effectiveInCheck () const
Public Member Functions inherited from osl::rating::Group
| Group (const std::string &name)
| Group (Feature *f)
virtual | ~Group ()
void | showMinMax (std::ostream &os, int name_width, const range_t &range, const std::vector< double > &weights) const
void | showAll (std::ostream &os, int name_width, const range_t &range, const std::vector< double > &weights) const
void | showTopN (std::ostream &os, int name_width, const range_t &range, const std::vector< double > &weights, int n) const
void | saveResult (const std::string &directory, const range_t &range, const std::vector< double > &weights) const
bool | load (const std::string &directory, const range_t &range, std::vector< double > &weights) const

## Public Attributes

std::vector< int > | see_range
Public Attributes inherited from osl::rating::Group
std::string | group_name

## Detailed Description

Definition at line 13 of file captureGroup.h.

## Constructor & Destructor Documentation

## CaptureGroup()

osl::rating::CaptureGroup::CaptureGroup | ( |  | ) |

Definition at line 5 of file captureGroup.cc.

References osl::rating::Group::Group(), osl::rating::Capture::INF, and see_range.

## Member Function Documentation

## effectiveInCheck()

bool osl::rating::CaptureGroup::effectiveInCheck | ( |  | ) | const

inline virtual

Reimplemented from osl::rating::Group.

Definition at line 46 of file captureGroup.h.

## findMatch()

int osl::rating::CaptureGroup::findMatch | ( | const NumEffectState & | state,
|  | Move | m,
|  | const RatingEnv & | env ) const

inline virtual

Returns
  -1 if not found

Reimplemented from osl::rating::Group.

Definition at line 23 of file captureGroup.h.

References osl::rating::RatingEnv::progress, osl::rating::Capture::see(), see_range, and osl::progress::ProgressN< N >::value().

## show()

void osl::rating::CaptureGroup::show | ( | std::ostream & | os,
|  | int | name_width,
|  | const range_t & | range,
|  | const std::vector< double > & | weights ) const

inline virtual

Reimplemented from osl::rating::Group.

Definition at line 18 of file captureGroup.h.

References osl::rating::Group::showAll().

## Member Data Documentation

## see_range

std::vector<int> osl::rating::CaptureGroup::see_range

Definition at line 16 of file captureGroup.h.

Referenced by CaptureGroup(), and findMatch().

The documentation for this class was generated from the following files:

- captureGroup.h
- captureGroup.cc